编译php源码错误集与解决

PHP 2016-06-28

起步

服务器Ubuntu14.04已后lamp开发环境,却还是没有不能顺利编译php源码,在此整理编译过程。

获取源码与编译

确保已安装了gitsudo apt-get install git -y,因为这可以看到PHP每次修改的内容及日志信息和跟进作者的更新。

git clone https://github.com/php/php-src.git
cd php-src
sudo apt-get install build-essential
./buildconf
./configure --disable-all # 为了尽快得到可以测试的环境,我们仅编译一个最精简的PHP
make
./sapi/cli/php -v

-v参数表示输出版本号,如果命令执行完后看到输出php版本信息则说明编译成功。

20160628170052.png

错误集

错误

configure: error: xml2-config not found. Please check your libxml2 installation.

解决 apt-get install libxml2-dev

错误

/usr/bin/mysql_config: No such file or directory

解决 apt-get install mysql-server mysql-client libmysqlclient-dev

错误

Warning: Declaration of PEAR_Installer::download() should be compatible with & PEAR_Downloader::download($params) in phar:///root/php7/php-src/pear/install-pear-nozlib.phar/PEAR/Installer.php on line 43

Warning: Declaration of PEAR_PackageFile_Parser_v2::parse() should be compatible with PEAR_XMLParser::parse($data) in phar:///root/php7/php-src/pear/install-pear-nozlib.phar/PEAR/PackageFile/Parser/v2.php on line 113
[PEAR] Archive_Tar - installed: 1.3.13
[PEAR] Console_Getopt - installed: 1.3.1
[PEAR] Structures_Graph- installed: 1.0.4

Warning: Declaration of PEAR_Task_Replace::init() should be compatible with PEAR_Task_Common::init($xml, $fileAttributes, $lastVersion) in phar:///root/php7/php-src/pear/install-pear-nozlib.phar/PEAR/Task/Replace.php on line 31
[PEAR] XML_Util - installed: 1.2.3

Warning: Declaration of PEAR_Task_Windowseol::init() should be compatible with PEAR_Task_Common::init($xml, $fileAttributes, $lastVersion) in phar:///root/php7/php-src/pear/install-pear-nozlib.phar/PEAR/Task/Windowseol.php on line 76

Warning: Declaration of PEAR_Task_Unixeol::init() should be compatible with PEAR_Task_Common::init($xml, $fileAttributes, $lastVersion) in phar:///root/php7/php-src/pear/install-pear-nozlib.phar/PEAR/Task/Unixeol.php on line 76
[PEAR] PEAR - installed: 1.9.5
Wrote PEAR system config file at: /root/php7/usr/etc/pear.conf

解决 You may want to add: /root/php7/usr/lib/php to your php.ini include_path /root/php7/php-src/build/shtool install -c ext/phar/phar.phar /root/php7/usr/bin

错误

configure: WARNING: unrecognized options: --with-mysql

错误

checking for bison version... invalid
configure: WARNING: This bison version is not supported for regeneration of the Zend/PHP parsers (found: none, min: 204, excluded: ).
checking for re2c... no
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
configure: error: bison is required to build PHP/Zend when building a GIT checkout!

解决 apt-get install bison

错误

configure: error: Cannot find OpenSSL's

解决 apt-get install libssl-dev

错误

configure: error: Cannot find OpenSSL's libraries

解决 apt-get install libssl-dev

错误

checking for BZip2 in default path… not found
configure: error: Please reinstall the BZip2 distribution

解决 apt-get install libbz2-dev

错误

configure: error: Please reinstall the libcurl distribution –
easy.h should be in /include/curl/

解决 apt-get install libcurl4-openssl-dev

错误

If configure fails try --with-vpx-dir=
configure: error: jpeglib.h not found.

解决 apt-get install libjpeg-dev

错误

configure: error: png.h not found.

解决 apt-get install libpng12-dev

错误

configure: error: freetype-config not found.

解决 apt-get install libfreetype6-dev

错误

configure: error: mcrypt.h not found. Please reinstall libmcrypt.

解决 apt-get install libmcrypt-dev

错误

configure: error: Cannot find pspell

解决 apt-get install libpspell-dev

错误

PEAR package PHP_Archive not installed: generated phar will require PHP's phar extension be enabled.

解决 pear install pear/PHP_Archive

错误

checking for recode support... yes
configure: error: Can not find recode.h anywhere under /usr /usr/local /usr /opt.

解决 apt-get install librecode-dev


本文由 hongweipeng 创作,采用 知识共享署名 3.0,可自由转载、引用,但需署名作者且注明文章出处。

赏个馒头吧